<?php  if(!defined('BASEPATH')) exit('No direct script access allowed');
class Product_model extends MY_Model
{
	public function __construct()
	{
        $this->table = 'june_product';
        $this->primary_key = 'id';
        $this->has_one['category'] = array('Product_category_model','id','category');
        $this->has_one['size'] = array('Product_size_model','product_id','id');
        $this->has_one['weight'] = array('Product_weight_model','product_id','id');
        $this->has_many['specs'] = array('Product_spec_model','product_id','id');
        $this->has_many['images'] = array('Product_image_model','product_id','id');

		parent::__construct();
	}
}
/* End of file '/User_model.php' */
/* Location: ./application/models//User_model.php */